
QGIS Application - Bug report #12066

font marker symbols wrong size in map units

2015-01-27 08:20 AM - Oskar Karlin

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.6.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20267

Description

New description:

#12066-8

Old description:

I have all my symbols size set using Map units. It looks great in almost all zoom levels but at one zoom level the houses (one of the layers)

becomes incredible large!

History

#1 - 2015-01-29 08:34 AM - Giovanni Manghi

- Category set to Symbology

- Status changed from Open to Feedback

Is the symbol used part of the qgis library? or is a custom one? If is the latter can you attach it? what are map units in your project?

#2 - 2015-01-29 12:04 PM - Oskar Karlin

The symbol is a font symbol.

#3 - 2015-01-29 01:29 PM - Oskar Karlin

Oh and the map is using meters. Projection Sweref 99 TM.

#4 - 2015-01-30 02:59 AM - Giovanni Manghi

Oskar Karlin wrote:

The symbol is a font symbol.

what is the name of the font? is truetype?

2025-04-27 1/3



#5 - 2015-01-30 10:28 AM - Oskar Karlin

- File GSDSymbolsTerrngkartan.ttf added

It's a truetype font. Attached.

#6 - 2015-01-30 10:48 AM - Giovanni Manghi

Oskar Karlin wrote:

It's a truetype font. Attached.

I may have understand the issue. What scale and how many map units are you using?

#7 - 2015-01-30 10:54 AM - Oskar Karlin

From 1:74000 and up (more zoomed out) this behaviour appears. And for some reason it's only one of all symbols that gets this crazy size. And the other

symbols come from same font. The size of the symbol is 25 map units (i e 25 meters). For your knowledge, the symbol size changes also radically in the

preview in the layer list.

#8 - 2015-12-27 02:32 PM - Giovanni Manghi

Oskar Karlin wrote:

From 1:74000 and up (more zoomed out) this behaviour appears. And for some reason it's only one of all symbols that gets this crazy size. And the

other symbols come from same font. The size of the symbol is 25 map units (i e 25 meters).

and what would be this specific symbol?

What I see is a slightly different issue, but maybe related (and I'm seeing it in qgis 1.8 up to master):

for font marker symbols, when defined in map units, then they all render as expected only starting from a certain scale. Before that they render the same

size (so wrong) and a message shows in the log:

QFont::setPixelSize: Pixel size <= 0 (0)

#9 - 2016-05-23 09:24 AM - Giovanni Manghi

- Subject changed from Some symbols get crazy large size at some zoom levels to font marker symbols wrong size in map units

- Status changed from Feedback to Open

- Operating System deleted (Mac OS X)

#10 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#11 - 2017-08-08 12:52 AM - Jürgen Fischer

- Description updated
#12 - 2019-03-09 03:12 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

Screen_Shot_2015-01-27_at_16.56.49.png 220 KB 2015-01-27 Oskar Karlin

Screen_Shot_2015-01-27_at_16.57.08.png 335 KB 2015-01-27 Oskar Karlin

GSDSymbolsTerrngkartan.ttf 8.83 KB 2015-01-30 Oskar Karlin
